#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    int k;
    int br = 0;
    int tren = 0;

    cin>>n>>k;
    int n1 = n;
    int a[2*n];
    int b[2*n];

    for(int i = 0;i<2*n;i++)
    {
        b[i] = 0;
    }
    for(int i = 0;i<2*n;i++)
    {
        a[i] = 0;
    }

   

    while(n1!=0)
    {
        cin>>tren;
        tren+=n;
        a[tren]++;
        n1--;
    }
    for(int i = 0;i<2*n;i++)
    {
        if(a[i]>=k)
        {
            br++;
            b[i]++;
        }
    }
    cout<<br<<endl;

    for(int i = 0;i<2*n;i++)
    {
        if(b[i]>0)
            cout<<i-n<<" ";
    }
    return 0;
}